openSUSE Security Update : ffmpeg (openSUSE-2017-449)

High Nessus Plugin ID 99260

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for ffmpeg fixes the following issues :

Security issue fixed :

- CVE-2016-10190: remote code execution vulnerability [ 1
- libavformat/http.c ] (boo#1022920)

Detailed ChangeLog :

- 3.1.6:
https://github.com/FFmpeg/FFmpeg/blob/e08b1cf2df8cfdb339 4aa5ab0320739f8b5a1c4f/Changelog

- 3.2.4:
https://github.com/FFmpeg/FFmpeg/blob/cbe65ccfa02a9061ce ad73a6685eef90225c41b5/Changelog

Solution

Update the affected ffmpeg packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1022920

http://www.nessus.org/u?2f9e96e4

http://www.nessus.org/u?ff9f3506

Plugin Details

Severity: High

ID: 99260

File Name: openSUSE-2017-449.nasl

Version: Revision: 3.2

Type: local

Agent: unix

Published: 2017/04/10

Updated: 2018/01/26

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:ffmpeg, p-cpe:/a:novell:opensuse:ffmpeg-debuginfo, p-cpe:/a:novell:opensuse:ffmpeg-debugsource, p-cpe:/a:novell:opensuse:libavcodec-devel, p-cpe:/a:novell:opensuse:libavcodec57, p-cpe:/a:novell:opensuse:libavcodec57-32bit, p-cpe:/a:novell:opensuse:libavcodec57-debuginfo, p-cpe:/a:novell:opensuse:libavcodec57-debuginfo-32bit, p-cpe:/a:novell:opensuse:libavdevice-devel, p-cpe:/a:novell:opensuse:libavdevice57, p-cpe:/a:novell:opensuse:libavdevice57-32bit, p-cpe:/a:novell:opensuse:libavdevice57-debuginfo, p-cpe:/a:novell:opensuse:libavdevice57-debuginfo-32bit, p-cpe:/a:novell:opensuse:libavfilter-devel, p-cpe:/a:novell:opensuse:libavfilter6, p-cpe:/a:novell:opensuse:libavfilter6-32bit, p-cpe:/a:novell:opensuse:libavfilter6-debuginfo, p-cpe:/a:novell:opensuse:libavfilter6-debuginfo-32bit, p-cpe:/a:novell:opensuse:libavformat-devel, p-cpe:/a:novell:opensuse:libavformat57, p-cpe:/a:novell:opensuse:libavformat57-32bit, p-cpe:/a:novell:opensuse:libavformat57-debuginfo, p-cpe:/a:novell:opensuse:libavformat57-debuginfo-32bit, p-cpe:/a:novell:opensuse:libavresample-devel, p-cpe:/a:novell:opensuse:libavresample3, p-cpe:/a:novell:opensuse:libavresample3-32bit, p-cpe:/a:novell:opensuse:libavresample3-debuginfo, p-cpe:/a:novell:opensuse:libavresample3-debuginfo-32bit, p-cpe:/a:novell:opensuse:libavutil-devel, p-cpe:/a:novell:opensuse:libavutil55, p-cpe:/a:novell:opensuse:libavutil55-32bit, p-cpe:/a:novell:opensuse:libavutil55-debuginfo, p-cpe:/a:novell:opensuse:libavutil55-debuginfo-32bit, p-cpe:/a:novell:opensuse:libpostproc-devel, p-cpe:/a:novell:opensuse:libpostproc54, p-cpe:/a:novell:opensuse:libpostproc54-32bit, p-cpe:/a:novell:opensuse:libpostproc54-debuginfo, p-cpe:/a:novell:opensuse:libpostproc54-debuginfo-32bit, p-cpe:/a:novell:opensuse:libswresample-devel, p-cpe:/a:novell:opensuse:libswresample2, p-cpe:/a:novell:opensuse:libswresample2-32bit, p-cpe:/a:novell:opensuse:libswresample2-debuginfo, p-cpe:/a:novell:opensuse:libswresample2-debuginfo-32bit, p-cpe:/a:novell:opensuse:libswscale-devel, p-cpe:/a:novell:opensuse:libswscale4, p-cpe:/a:novell:opensuse:libswscale4-32bit, p-cpe:/a:novell:opensuse:libswscale4-debuginfo, p-cpe:/a:novell:opensuse:libswscale4-debuginfo-32bit, cpe:/o:novell:opensuse:42.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/04/07

Reference Information

CVE: CVE-2016-10190